SATA_DOWN_SPD_LIMIT(9)

NAME
sata_down_spd_limit - adjust SATA spd limit downward

SYNOPSIS

int sata_down_spd_limit(struct ata_link * link, u32 spd_limit);

ARGUMENTS

link
    Link to adjust SATA spd limit for

spd_limit
    Additional limit

DESCRIPTION

Adjust SATA spd limit of link downward. Note that this function only adjusts the limit. The change must be applied using sata_set_spd.

If spd_limit is non-zero, the speed is limited to equal to or lower than spd_limit if such speed is supported. If spd_limit is slower than any supported speed, only the lowest supported speed is allowed.

LOCKING

Inherited from caller.

RETURNS

0 on success, negative errno on failure

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT